다음을 통해 공유


Build Service - List Build Services

빌드 서비스 리소스를 나열합니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/buildServices?api-version=2023-12-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceGroupName
path True

string

리소스를 포함하는 리소스 그룹의 이름입니다. Azure Resource Manager API 또는 포털에서 이 값을 가져올 수 있습니다.

serviceName
path True

string

pattern: ^[a-z][a-z0-9-]*[a-z0-9]$

서비스 리소스의 이름입니다.

subscriptionId
path True

string

Microsoft Azure 구독을 고유하게 식별하는 구독 ID를 가져옵니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

BuildServiceCollection

성공. 응답은 Build Services를 설명합니다.

Other Status Codes

CloudError

작업이 실패한 이유를 설명하는 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

BuildService_ListBuildServices

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices?api-version=2023-12-01

샘플 응답

{
  "value": [
    {
      "properties": {
        "kPackVersion": "0.3.1",
        "provisioningState": "Succeeded",
        "resourceRequests": {
          "cpu": "200m",
          "memory": "4Gi"
        }
      },
      "systemData": {
        "createdBy": "sample-user",
        "createdByType": "User",
        "createdAt": "2021-08-11T03:16:03.944Z",
        "lastModifiedBy": "sample-user",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2021-08-11T03:17:03.944Z"
      },
      "type": "Microsoft.AppPlatform/Spring/buildServices",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices/default",
      "name": "default"
    }
  ],
  "nextLink": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices?$page=2"
}

정의

Name Description
BuildService

서비스 리소스 페이로드 빌드

BuildServiceCollection

빌드 서비스 리소스의 배열과 다음 집합에 대한 가능한 링크가 포함된 개체

BuildServiceProperties

서비스 리소스 속성 페이로드 빌드

BuildServiceProvisioningState

KPack 빌드 서비스의 프로비전 상태

CloudError

서비스의 오류 응답입니다.

CloudErrorBody

서비스의 오류 응답입니다.

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedByType

리소스를 마지막으로 수정한 ID의 형식입니다.

ResourceRequests

배포 리소스 요청 페이로드

SystemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

BuildService

서비스 리소스 페이로드 빌드

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID입니다.

name

string

리소스의 이름입니다.

properties

BuildServiceProperties

빌드 리소스의 속성

systemData

SystemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

type

string

리소스의 형식입니다.

BuildServiceCollection

빌드 서비스 리소스의 배열과 다음 집합에 대한 가능한 링크가 포함된 개체

Name 형식 Description
nextLink

string

URL 클라이언트는 다음 페이지(서버 쪽 페이징당)를 가져오는 데 사용해야 합니다. 지금은 null이며 나중에 사용할 수 있게 추가되었습니다.

value

BuildService[]

빌드 서비스 리소스 컬렉션

BuildServiceProperties

서비스 리소스 속성 페이로드 빌드

Name 형식 Description
containerRegistry

string

이 빌드 서비스에 사용되는 컨테이너 레지스트리의 리소스 ID입니다.

kPackVersion

string

이 빌드 서비스에 설치된 KPack 버전입니다.

provisioningState

BuildServiceProvisioningState

KPack 빌드 서비스의 프로비전 상태

resourceRequests

ResourceRequests

이 빌드 서비스의 런타임 리소스 구성입니다.

BuildServiceProvisioningState

KPack 빌드 서비스의 프로비전 상태

Description
Creating
Updating
Succeeded
Failed
Deleting

CloudError

서비스의 오류 응답입니다.

Name 형식 Description
error

CloudErrorBody

서비스의 오류 응답입니다.

CloudErrorBody

서비스의 오류 응답입니다.

Name 형식 Description
code

string

오류의 식별자입니다. 코드는 고정적이며 프로그래밍 방식으로 사용할 수 있습니다.

details

CloudErrorBody[]

오류에 대한 추가 세부 정보 목록입니다.

message

string

사용자 인터페이스에 표시하기에 적합한 오류를 설명하는 메시지입니다.

target

string

특정 오류의 대상입니다. 예를 들어 오류가 발생한 속성의 이름입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

lastModifiedByType

리소스를 마지막으로 수정한 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ResourceRequests

배포 리소스 요청 페이로드

Name 형식 Description
cpu

string

필요한 CPU입니다. 코어 1개는 1 또는 1000m로 나타낼 수 있습니다. 기본 계층의 경우 500m 또는 1이고 표준 계층의 경우 {500m, 1, 2, 3, 4}여야 합니다.

memory

string

필수 메모리입니다. 1GB는 1Gi 또는 1024Mi로 나타낼 수 있습니다. 기본 계층의 경우 {512Mi, 1Gi, 2Gi}, 표준 계층의 경우 {512Mi, 1Gi, 2Gi, ..., 8Gi}여야 합니다.

SystemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 수정의 타임스탬프(UTC)입니다.

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

lastModifiedByType

리소스를 마지막으로 수정한 ID의 형식입니다.